#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long int p,q,r,L,R,pop,p1,cd,c1=0;
    cin>>p>>q>>r>>L>>R;
    for (long long int j=L;j<=R;j++)
    {
        cd=ceil(j/r);
        p1=ceil(j/q);
        pop=ceil(j/p);
        if ((cd+p1+pop)<=j)
            c1++;
    }
    cout<<c1;
    return 0;
}